# Uses of Interface
ch.qos.logback.classic.spi.IThrowableProxy

Packages that use IThrowableProxy
Package
Description
ch.qos.logback.classic.html
Contains classes to format log output in HTML.
ch.qos.logback.classic.pattern
Provides classes implementing format specifiers in conversion patterns.
ch.qos.logback.classic.spi
Contains core classes of logback classic.

## Uses of IThrowableProxy in ch.qos.logback.classic.html

Methods in ch.qos.logback.classic.html with parameters of type IThrowableProxy
Modifier and Type
Method
Description
`void`
DefaultThrowableRenderer.`printFirstLine(StringBuilder sb, IThrowableProxy tp)`

## Uses of IThrowableProxy in ch.qos.logback.classic.pattern

Methods in ch.qos.logback.classic.pattern with parameters of type IThrowableProxy
Modifier and Type
Method
Description
`protected void`
RootCauseFirstThrowableProxyConverter.`recursiveAppendRootCauseFirst(StringBuilder sb, String prefix, int indent, IThrowableProxy tp)`
`protected void`
ThrowableProxyConverter.`subjoinSTEPArray(StringBuilder buf, int indent, IThrowableProxy tp)`
`protected String`
RootCauseFirstThrowableProxyConverter.`throwableProxyToString(IThrowableProxy tp)`
`protected String`
ThrowableProxyConverter.`throwableProxyToString(IThrowableProxy tp)`

## Uses of IThrowableProxy in ch.qos.logback.classic.spi

Classes in ch.qos.logback.classic.spi that implement IThrowableProxy
Modifier and Type
Class
Description
`class`
`ThrowableProxy`
`class`
`ThrowableProxyVO`
Methods in ch.qos.logback.classic.spi that return IThrowableProxy
Modifier and Type
Method
Description
`IThrowableProxy`
IThrowableProxy.`getCause()`
`IThrowableProxy`
ThrowableProxy.`getCause()`
`IThrowableProxy`
ThrowableProxyVO.`getCause()`
`IThrowableProxy[]`
IThrowableProxy.`getSuppressed()`
`IThrowableProxy[]`
ThrowableProxy.`getSuppressed()`
`IThrowableProxy[]`
ThrowableProxyVO.`getSuppressed()`
`IThrowableProxy`
ILoggingEvent.`getThrowableProxy()`
`IThrowableProxy`
LoggingEvent.`getThrowableProxy()`
Returns the throwable information contained within this event.
`IThrowableProxy`
LoggingEventVO.`getThrowableProxy()`
Methods in ch.qos.logback.classic.spi with parameters of type IThrowableProxy
Modifier and Type
Method
Description
`static String`
ThrowableProxyUtil.`asString(IThrowableProxy tp)`
`static ThrowableProxyVO`
ThrowableProxyVO.`build(IThrowableProxy throwableProxy)`
`void`
PackagingDataCalculator.`calculate(IThrowableProxy tp)`
`static void`
ThrowableProxyUtil.`subjoinFirstLine(StringBuilder buf, IThrowableProxy tp)`
`static void`
ThrowableProxyUtil.`subjoinFirstLineRootCauseFirst(StringBuilder buf, IThrowableProxy tp)`
`static void`
ThrowableProxyUtil.`subjoinSTEPArray(StringBuilder sb, int indentLevel, IThrowableProxy tp)`
`static void`
ThrowableProxyUtil.`subjoinSTEPArray(StringBuilder sb, IThrowableProxy tp)`
Deprecated.
Use subjoinSTEPArray(StringBuilder sb, int indentLevel, IThrowableProxy tp) instead.